import type { Log } from '@google-cloud/logging';
import type { ChatPostMessageArguments, WebClient } from '@slack/web-api';
import type { SlackBlockDto } from 'slack-block-builder';
import type { SlackConfig } from './slack.module';
export declare type SlackMessageOptions = Partial<ChatPostMessageArguments>;
export declare class SlackService {
    private readonly options;
    private readonly client;
    private readonly log;
    constructor(options: SlackConfig, client: WebClient | null, log: Log | null);
    sendText(text: string, opts?: Omit<SlackMessageOptions, 'text' | 'blocks'>): Promise<void>;
    sendBlocks(blocks: Readonly<SlackBlockDto>[], opts?: Omit<SlackMessageOptions, 'blocks'>): Promise<void>;
    postMessage(req: SlackMessageOptions): Promise<void>;
    private runApiRequest;
    private runStdoutRequest;
    private runGoogleLoggingRequest;
}
